=== debian/changelog ===
php-vitexsoftware-ease-bootstrap4 (1.9.1) UNRELEASED; urgency=medium

  * unset default tab crash fixed

 -- vitex <info@vitexsoftware.cz>  Fri, 13 Dec 2024 02:35:48 +0100

php-vitexsoftware-ease-bootstrap4 (1.9.0) unstable; urgency=medium

  * Semantic versioning

 -- vitex <info@vitexsoftware.cz>  Fri, 13 Dec 2024 02:35:20 +0100

php-vitexsoftware-ease-bootstrap4 (1.8.0) unstable; urgency=medium

  * ProgressBarr added

 -- vitex <info@vitexsoftware.cz>  Fri, 15 Nov 2024 18:35:43 +0100

php-vitexsoftware-ease-bootstrap4 (1.7) unstable; urgency=medium

  [ Vítězslav Dvořák ]
  * First release
  * Label extend
  * Tabs OK now

  [ CyberVitexus ]
  * composer-global-update fix
  * enable javascript-common
  * Merge branch 'master' of github.com:VitexSoftware/ease-twbootstrap4
  * Debian package renamed
  * Debian package workflow
  * Allow submenu to be place on right side
  * v1.0 release
  * Docs added
  * Dependency fix II
  * Dependency fix II
  * Return added card
  * Return added card
  * FormGroup do not crash on button

 -- vitex <info@vitexsoftware.cz>  Sun, 25 Aug 2024 11:41:45 +0200
