=== debian/control ===
Source: php-vitexsoftware-ease-bootstrap4
Build-Depends: debhelper (>= 7.0.50~), jq, moreutils, phpdocumentor
Section: web
Standards-Version: 3.9.8
Maintainer: Vítězslav Dvořák <info@vitexsoftware.cz>
Uploaders: Vitex <vitex@hippy.cz>
Priority: optional
Homepage: https://github.com/VitexSoftware/ease-bootstrap4

Package: php-vitexsoftware-ease-bootstrap4
Depends: ${misc:Depends},php-vitexsoftware-ease-html,javascript-common
Architecture: all
Conflicts: ease-framework
Section: web
Priority: optional
Description: Set of Twitter Bootstrap 4 rendering objects
 TWB4 classes for Ease Framework.

Package: php-vitexsoftware-ease-bootstrap4-dev
Depends: ${misc:Depends}, php-vitexsoftware-ease-bootstrap4
Architecture: all
Replaces: php-ease-bootstrap4-dev
Suggests: php-vitexsoftware-ease-html
Section: web
Priority: optional
Description: EasePHP Framework Unit Tests
 Ease Framework Core unit Test classes.

Package: php-vitexsoftware-ease-bootstrap4-doc
Depends: ${misc:Depends}, php-vitexsoftware-ease-bootstrap4-dev
Architecture: all
Conflicts: ease-framework-doc
Section: devel
Priority: optional
Description: EasePHP Framework HTML unit documentation
 HTML classes for Ease Framework documentation generated by apigen
